#ifndef CHANNEL_DEFINE_H
#define CHANNEL_DEFINE_H

/**
 * All common Channel definitions
 */


#include "token.h"


#ifndef CHANNEL
#define CHANNEL MAKE_SEPARATED_TOKEN(Channel, CHANNEL_ITEM)
#endif /* CHANNEL */


#define INIT_CHANNEL MAKE_TOKEN(init, CHANNEL)

#define RELEASE_CHANNEL MAKE_TOKEN(release, CHANNEL)

#define MAKE_CHANNEL MAKE_TOKEN(make, CHANNEL)

#define COPY_CHANNEL MAKE_TOKEN(copy, CHANNEL)

#define ADD_TO_CHANNEL MAKE_TOKEN(addTo, CHANNEL)

#define ADD_TIMED_TO_CHANNEL MAKE_TOKEN(addTimedTo, CHANNEL)

#define ADD_BY_PTR_TO_CHANNEL MAKE_TOKEN(addByPtrTo, CHANNEL)

#define ADD_TIMED_BY_PTR_TO_CHANNEL MAKE_TOKEN(addTimedByPtrTo, CHANNEL)

#define GET_FROM_CHANNEL MAKE_TOKEN(getFrom, CHANNEL)

#define GET_TIMED_FROM_CHANNEL MAKE_TOKEN(getTimedFrom, CHANNEL)


#endif /* CHANNEL_DEFINE_H */
